import axios from "../../utils/axios";

export function getThrOrders(query) {
    return axios({
        url: "/udiwms/thrsys/getOrders",
        method: "get",
        params: query
    });
}

export function getThrOrderDetails(query) {
    return axios({
        url: "/udiwms/thrsys/getOrderDetails",
        method: "get",
        params: query
    });
}

export function delThrOrders(query) {
    return axios({
        url: "/udiwms/thrsys/delOrder",
        method: "post",
        data: query
    });
}

export function delAll(query) {
    return axios({
        url: "/udiwms/thrsys/order/delAll",
        method: "get",
        params: query
    });
}

export function downloadAll(query) {
    return axios({
        url: "/udiwms/thrsys/orders/downloadAll",
        method: "get",
        params: query
    });
}

export function orderDownload(query) {
    return axios({
        url: "/udiwms/thrsys/orders/orderDownload",
        method: "post",
        data: query
    });
}
